import React from 'react';
import Taro from '@tarojs/taro';
import { View, ScrollView } from '@tarojs/components';
import withLayout from '@/layouts'
import CustomNav from '@/components/CustomNav'

import { cityList } from './cityList';

export default withLayout(function (props) {

  const onClick = () => {
    Taro.showToast({ title: '该地区服务尚未开通', icon: 'none' });
  }
  
  return (
    <View className='page-index'>
      <View className='index-navbar'>
        <CustomNav title='城市列表' />
      </View>
      <ScrollView scrollY style={{ height: '100%' }}>
        <mp-cells>
          {
            cityList.map(city => (
              <view key={city} onClick={onClick} >
                <mp-cell title={city} />
              </view>
            ))
          }
        </mp-cells>
      </ScrollView>
    </View>
  );
})
