import React from 'react';
import Taro from '@tarojs/taro';
import { View } from '@tarojs/components';
import withLayout from '@/layouts'
import CustomNav from '@/components/CustomNav'
import ButtontWX from '@/components/ButtontWX'

export default withLayout((props) => {

  const onClick = () => {
    Taro.showLoading({ title: '请稍候...' });
    setTimeout(() => {
      Taro.hideLoading();
      Taro.showToast({ title: '网络错误, 请稍候再试!', icon: 'none' })
    }, 1500);
  }
  
  return (
    <View className='page-index'>
      <View className='index-navbar'>
        <CustomNav title='修改密码' />
      </View>
      <mp-form-page>
          <mp-form id='form'>
            <mp-cell title='原始密码'>
              <input class='weui-input' type='number' placeholder='请输入原始密码' />
            </mp-cell>
            <mp-cell title='新 密 码'>
              <input class='weui-input' type='number' placeholder='请输入新 密 码' />
            </mp-cell>
          </mp-form>
          <view className='weui-form__opr-area'>
            <ButtontWX onClick={onClick} butText='确定' butWidth={300} butHeight={49} butFontSize={16} butBorderRadius={49} />
          </view>
      </mp-form-page>
    </View>
  );
})
